<?php

use Illuminate\Routing\Router;
use Illuminate\Support\Facades\Route;
use Dcat\Admin\Admin;

Admin::routes();

Route::group([
    'prefix'     => config('admin.route.prefix'),
    'namespace'  => config('admin.route.namespace'),
    'middleware' => config('admin.route.middleware'),
], function (Router $router) {

    $router->get('/', 'HomeController@index');
    $router->resource('/users', 'UserController');
    $router->resource('/feeds', 'FeedsController');
    $router->resource('/games', 'GamesController');
    $router->resource('/setting', 'BaseConfigController');
    $router->resource('/courses', 'CourseController');
    $router->resource('/course_field', 'CourseFieldController');
    $router->resource('/report', 'UserReportController');
    $router->resource('/chat_team', 'ChatTeamController');
    $router->resource('/avatar', 'SystemAvatarController');
    $router->resource('/chat', 'UserFriendController');
    $router->resource('/game_types', 'GameTypeController');
    $router->resource('/teams', 'TeamController');
    $router->resource('/team_photos', 'TeamPhotoController');
    $router->resource('/feedback', 'UserFeedbackController');
    $router->resource('/document', 'DocumentController');
    $router->resource('/game_user_scores', 'GameUserController');
    $router->resource('/user_identify', 'UserIdentifyController');
    $router->resource('/course_user', 'CourseUserController');

    $router->resource('/goods', 'GoodsController');
    $router->resource('/order', 'OrderController');

});
